


  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from kardex where codigo like '%".$_GET['filtro']."%' and fecha='$hoy' and descripcion!='*descuento*' or descripcion like '%".$_GET['filtro']."%' and fecha='$hoy' and descripcion!='*descuento*' order by descripcion asc
		") or die(mysql_error());
          $sql1 = mysql_query("select * from parametros") or die(mysql_error());

  $default_menu_pos = @mysql_result($sql1, 0, "default_menu_pos");
  
     $sql2 = mysql_query("select id_producto from productos  order by id_producto desc
limit 1") or die(mysql_error());
$ultimo = @mysql_result($sql2,0,"id_producto")+1;

	?>

<script>

	if(myLevel!="Master" && myLevel!="Almacen"){
		alert("No tiene acceso a este modulo del sistema")
		window.location.href="../menu/menu.php";

	}

</script>
<style>
  .form-control{
    font-size: 16px;
	font-weight:bolder;
  }


label{
    font-size: 16px;
  }

td, th, a{
	font-size:18px;
	color:black;

}


</style>
    <div class="container">

 <span class="text-rojo h2"><i class="bi bi-box"></i> Movimientos de productos</span><br>
 <?php if($default_menu_pos=="phone"){
	 echo "<span class='pull-right'> <a href='imei.php' class='text-primary'> <i class='bi bi-phone'></i> IMEI / Dispositivos moviles</a></span>";

 }?>
 <hr>

		<div class="row">
			<div class="col-md-12">

     <div class="row">
     <div class="col-md-3 mb-2  mt-2">
   <input type="search" id="txt_buscar" class="form-control" value="<?php echo $_GET['filtro']?>">
 </div>

 <div class="col-md-1 mb-2  mt-2 mb-2">
        <a class="btn btn-orange " href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>
</div>
    <div class="col-md-8   mt-2 mb-2">


  </div>
</div>

        <script type="text/javascript">
          function modalProducto(){
			    $("#frm").trigger('reset');
            $("#modalProducto").modal('show');
            setTimeout(function(){
            // $("#frm").trigger('reset');
			 ///$("#stock").val("1");
			 $("#stock").show();
             $("#codigo2").prop("readonly", false);
              getDefaultCalc()
            },500)

        }

           function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="kardex.php?filtro="+t;
   }

        </script>



		<div class="panel panel-default1">
			<div class="panel-heading1">

			</div>
			<div class="panel-body1">
				<div class="table-responsive border p-3">
					<table class="table" data-page-length='100' style="width: 100%">

             
              <th>Producto</th>
                <th>Fecha</th>
              <th>Tipo</th>
			   <th>Concepto</th>
               <th>Cantidad</th>
               <th>Usuario</th>
                

             

						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
			<?php
			$c++;
		
      $id = $r["id_producto"];
			?>
							<tr>

								<td><a class="" href="#modalProducto" data-toggle="modal" ><i class="bi bi-stickies"></i> <?php echo substr($r["descripcion"],0,35)?></a></td>
              
                    	<td><?php echo $r["fecha"]?></td>
                	<td><?php echo $r["tipo"]?></td>
						<td><?php echo $r["concepto"]?></td>
				<td><?php echo @decimal($r["cantidad"])?></td>
					<td><?php echo $r["usuario"]?></td>
			

            

            </tr>
                                                        <?php }?>
						</tbody>
					</table>
					<hr>
					<b>CANT. PRODCUTOS:</b> <?php echo $c;?> |
					
				</div>
			</div>

		</div>

			</div>
		</div>

        </div>
      </div>




</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalProducto" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">

          <div class="modal-body">
       <div class="row">
	   <div class="col-md-9">

		      <form name="frm" action="" method="POST" id="frm">



        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>

			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" >Descripcion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="nombre" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Codigo</label>
          <div class="col-sm-4">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="codigo2" name="codigo2" value="<?php echo $ultimo?>" >


            <input autocomplete="off" type="hidden"  class="form-control mb-2 bold" id="codigo" name="codigo" value="">
          </div>
		   <label for="codigo" class="col-sm-2 col-form-label hi" >Relacion detalle</label>
		   <div class="col-sm-3">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold hi" id="relacion" name="relacion" value="" >

          </div>
        </div>


         <div class="row hi">
          <label for="costo" class="col-sm-3 col-form-label" >Costo</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="costo" name="costo" value="" onKeyUp="utl()">
          </div>

          <div class="col-sm-3 hi">
            <input autocomplete="off" placeholder="% ITBIS" type="number" onBlur="setDefaultCalc()" ondblclick="cal_itbis()" class="form-control mb-2" id="itbis" name="itbis" value="">
          </div>

          <div class="col-sm-3 hi">
            <input autocomplete="off" type="number"  onBlur="setDefaultCalc()" onKeyUp="cal_utilidad()" placeholder="% Utilidad" class="form-control mb-2" id="utilidad" name="utilidad" value="">
          </div>
        </div>

        <div class="row">
          <label for="precio" class="col-sm-3 col-form-label" >Precio 1</label>
          <div class="col-sm-9">
            <input autocomplete="off"  type="number"  class="form-control mb-2 bold text-primary" id="precio" name="precio" value="" onKeyUp="utl()">
          </div>
        </div>
		 <div class="row">
          <label for="precio2" class="col-sm-3 col-form-label" >Precio 2</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2 bold text-primary" id="precio2" name="precio2" value="">
          </div>
        </div>
		 <div class="row">
          <label for="precio3" class="col-sm-3 col-form-label" >Precio 3</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2 bold text-primary" id="precio3" name="precio3" value="">
          </div>
        </div>

 <div class="row">
          <label for="precio4" class="col-sm-3 col-form-label" >Precio 4</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2 bold text-primary" id="precio4" name="precio4" value="">
          </div>
        </div>


        <div class="row">
                        <div class="col-md-3">
                            <label class="text-danger">Imptos.</label>
                        </div>
                        <div class="col-md-6">
                            <select class="form-control  mb-2" id="tipo_impuestos">


                                <?php $sql2 = mysql_query("select * from impuestos order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['valor'] ?>">(<?php echo $r['valor'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>

                        <div class="col-sm-3">
                         <input autocomplete="off" type="number"  class="form-control mb-2 text-danger" id="valor_impuestos" name="valor_impuestos" value="" disabled>
                      </div>

                    </div>




         <div class="row">
            
          <label for="stock" class="col-sm-3 col-form-label text-primary" >Stock</label>
          <div class="col-sm-4">
            <input autocomplete="off" type="number"   class="form-control mb-2 text-danger" id="stock" name="stock">
          </div>


		  <label for="stock2" class="col-sm-2 col-form-label text-primary" >PZAS/PACK</label>
          <div class="col-sm-2">
            <input autocomplete="off" type="number"  class="form-control mb-2 text-danger" id="stock2" name="stock2">
          </div>
        </div>



                 <div class="row hi">
                        <div class="col-md-3">
                            <label>Proveedor</label>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="proveedor">

                                <option value="" selected disabled>Sel. proveedor</option>
                                <?php $sql2 = mysql_query("select * from proveedores order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>">(<?php echo $r['id_proveedor'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="row hi">
                        <div class="col-md-3">
                            <label>Variedad</label>
                        </div>
                        <div class="col-md-4" id="divCategoria">
                            <select class="form-control  mb-2" id="variedad">

                                <option value="" selected disabled>Variedades...</option>
                                <?php $sql2 = mysql_query("select * from variedad_productos order by variedad asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['variedad'] ?>"><?php echo $r['variedad'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                        <div class="col-md-5 mt-2">
                        <a href="javascript:void(0)" onClick="openVariedad()"><i class="fa fa-plus"></i><b> Nueva categoria</b></a>
                        </div>

                    </div>

                    <div class="row mt-2">
                        <div class="col-md-3 mt-2">
                            <b>Tipo Prod.</b>
                        </div>

                          <div class="col-md-4 mt-2">
                            <select id="tipo_producto" class="form-control" onChange="hide_tipo(this.value)">
                                <option value="Fisico">Fisico</option>
                                <option value="Servicio">Servicio</option>
                            </select>
                          </div>
                    </div>
<hr>
                    <div class="row hi">
                        <div class="col-md-3">
                            <label>Und. Medida</label>
                        </div>
                        <div class="col-md-9">
                            <select class="form-control  mb-2" id="unidad">

                                <option value="" selected disabled></option>
								<option value="">Ninguna</option>
								<option value="METRO">METRO</option>
								<option value="UNIDAD">UNIDAD</option>
                                <option value="YARDA">YARDA</option>
                                <option value="PIE">PIE</option>

                                <option value="LIBRA">LIBRA</option>
                                <option value="GALON">GALON</option>
                                <option value="CAJA">CAJA</option>
                            </select>
                        </div>
                    </div>


                 </div>







		  </form>



			<div class="col-md-3">
			<img src="" width="200" height="200" id="foto" class="img-thumbnail">
			<center>
				<a href="javascript:void(0)" class="text-primary" onClick="fotoPage()"><i class="bi bi-pen"></i> Cambiar imagen</a>

			<div style="width:200px">
			<div style="width:200px" class="text-primary h1" id="lbPrecio">0.00</div>
			<div style="width:200px" class=" h4" id="lbDescripcion"></div>

			</center>

		  </div>

		 </div>
 </div>


 <center>
                    <a class="text-primary" href="#" onClick="barcode()"><i class="bi bi-printer"></i> Imprimir etiquetas
                        <br>
                    <img class="" src="../img/barcode.jpg" width="200" height="150"><br>
                    </a>
                   </center>
                   <br>

          <div class="modal-footer">
            <button class="btn btn-verde" type="button" onclick="grabar_producto()" id="btngrabar"><i class="bi bi-download"></i> Actualizar producto</button>


				<button class="btn btn-secondary" type="button" onclick="borrar()" id="delete"><i class="bi bi-trash"></i> Borrar</button>

            <button class="btn btn-secondary" data-dismiss="modal"> <i class="bi bi-arrow-clockwise"></i> Salir</button>
          </div>
        </div>
      </div>
    </div>

	<!---Modal vencidos-->
<div class="modal" id="modalVencidos" data-backdrop="none" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Nota</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Productos vencidos y proximo a vencer</label>
        <div id="vencidos" style="height:200px; overflow:scroll">


        </div>
      <div class="modal-footer">
	          <a href="nuevo_vencimiento.php" class="btn btn-success" ><b> <i class="fa fa-w fa-check"></i> Revisar</b></a>

        <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota" data-dismiss="modal"><b> <i class="fa fa-w fa-close"></i> Aceptar</b></a>

      </div>
    </div>
  </div>
</div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
		$hoy = @date('Y-m-d');
		$fecha_a = date('Y-m-d', strtotime($hoy.  '+ 30 days'));

        ?>

<script>
function hide_tipo(tipo){
	if(tipo=="Servicio" || tipo=="SERVICIO"){
		$(".hi").hide();
		var v = "";
	    $("#unidad option[value='"+v+"']").prop('selected', true);
		$("#proveedor option[value='"+v+"']").prop('selected', true);
		$("#variedad option[value='"+v+"']").prop('selected', true);
		$("#costo").val("0");
		///$("#stock").val("0");
		///$("#stock2").val("0");
		$("#relacion").val("");

	}else{
		$(".hi").show();
		//$("#stock").val("1");
	}
}


                  function openVariedad() {
                        window.open('variedad.php?','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');

          }



$("#delete").hide();
id_producto="";

function setDefaultCalc(){
  localStorage.setItem("itbis",$("#itbis").val());
  localStorage.setItem("utilidad",$("#utilidad").val());
}

getDefaultCalc();
function getDefaultCalc(){
$("#itbis").val(localStorage.getItem("itbis"));
 $("#utilidad").val(localStorage.getItem("utilidad"));
}
function cal_itbis(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}

  var a = lcosto * litbis/100;
  var b = parseFloat(a )+ parseFloat(lcosto);
  $("#costo").val(b);




}

function cal_utilidad(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}


  var c = lcosto * lutilidad/100;
  var d = parseFloat(c) + parseFloat(lcosto);
  $("#precio").val(d);


}

function utl(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  
  var ut = lprecio - lcosto;
  ut = ut / lcosto * 100;
  $("#utilidad").val(ut.toFixed(2));
    
    
}
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;
                    $("#nombre").val(rs.data[i].descripcion);
					$("#lbDescripcion").html(rs.data[i].descripcion);
					$("#lbPrecion").html(rs.data[i].precio);
					if(rs.data[i].size==""){
						$("#foto").attr('src','thumbnail2.png');
					}else{
					$("#foto").attr('src',rs.data[i].size);
					}
                    $("#codigo").val(rs.data[i].codigo);

                    $("#codigo2").val(rs.data[i].codigo);
					$("#stock2").val(rs.data[i].pxp);

                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
					$("#precio2").val(rs.data[i].precio2);
					$("#precio3").val(rs.data[i].precio3);
					$("#precio4").val(rs.data[i].precio4);
                    $("#stock").val(rs.data[i].stock);
					$("#relacion").val(rs.data[i].relacion_detalle);
                    $("#valor_impuestos").val(rs.data[i].valor_impuestos);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                    $("#tipo_impuestos option[value='"+rs.data[i].tipo_impuestos+"']").prop('selected', true);
                    $("#variedad option[value='"+rs.data[i].variedad+"']").prop('selected', true);
                   $("#unidad option[value='"+rs.data[i].unidad+"']").prop('selected', true);
                $("#tipo_producto option[value='"+rs.data[i].tipo_producto+"']").prop('selected', true);
				hide_tipo(rs.data[i].tipo_producto)

                    ///$("#stock").hide();
                   getDefaultCalc()
                   utl();
                  }

            })
        }




  function grabar_producto(){
				var codigo2 = $("#codigo2").val();
				var id = $("#id").val();
				if(id==""){
				var param = "codigo="+codigo2
				$.get("verificar_existe.php?"+param, function(data,st){
					if(st=="success"){
						if(data>0){
								alert("Hay un producto con este codigo")
						}else{
							grabar_producto2()
						}
					}
				})
			}else{
				grabar_producto2()
			}
  }

  function grabar_producto2(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}

     var id_producto = $("#id").val()
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
    var codigo2 = $("#codigo2").val();

     var precio = $("#precio").val();
	 var precio2 = $("#precio2").val();
	 var precio3 = $("#precio3").val();
	 var precio4 = $("#precio4").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
	 var stock2 = $("#stock2").val();
	 var relacion = $("#relacion").val();
     var tipo_producto = $("#tipo_producto").val();

	 if(stock==""){stock=0;}
     var tipo_impuestos = $("#tipo_impuestos").val();
     var valor_impuestos = $("#valor_impuestos").val();
     var proveedor = $("#proveedor").val();
     var variedad = $("#variedad").val();
     var unidad = $("#unidad").val();
	 if(precio2=="" || precio2==0){precio2=precio;}

	$("#btngrabar").prop("disabled", true)

     if(nombre=="" || codigo2==""){alert('Faltan datos'); return}
    var sql="";
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";
			sql+=", precio2='"+precio2+"'";
			sql+=", precio3='"+precio3+"'";
			sql+=", precio4='"+precio4+"'";
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'";
            sql+=", proveedor='"+proveedor+"'";
            sql+=", variedad='"+variedad+"'";
            sql+=", unidad='"+unidad+"'";
            sql+=", stock='"+stock+"'";
			sql+=", pxp='"+stock2+"'";
            sql+=", tipo_producto='"+tipo_producto+"'";
			sql+=", relacion_detalle='"+relacion+"'";

        }else{
			/*
              if(validAuth!="Ok"){
                   modalAuth00(grabar_producto2);
                    return;
                }
             */
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";
			sql+=", precio2='"+precio2+"'";
			sql+=", precio3='"+precio3+"'";
			sql+=", precio4='"+precio4+"'";
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'";
            sql+=", proveedor='"+proveedor+"'";
            sql+=", variedad='"+variedad+"'";
            sql+=", unidad='"+unidad+"'";
			sql+=", pxp='"+stock2+"'";
            sql+=", stock='"+stock+"'";
            sql+=", tipo_producto='"+tipo_producto+"'";
			sql+=", relacion_detalle='"+relacion+"'";
            sql+=" WHERE id_producto='"+id_producto+"'";

        }

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
	   if(stock==""){stock=0;}

	   if(id_producto==""){
			barcode();
	   }

			update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos)
			  ////almacen()




      }else{
          alert(data);

      }

    })
}


function update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos){
	var stock2 = $("#stock2").val();
	var relacion = $("#relacion").val();
	var precio3 = $("#precio3").val();
	var precio4 = $("#precio4").val();
    var tipo_producto = $("#tipo_producto").val();
	var param = "costo="+costo+"&relacion="+relacion+"&codigo="+codigo+"&codigo2="+codigo2+"&stock2="+stock2+"&descripcion="+nombre+"&stock="+stock+"&precio1="+precio+"&precio2="+precio2+"&tipo_impuesto="+tipo_impuestos+"&tipo="+tipo_producto+"&precio3="+precio3+"&precio4="+precio4
	$.get("update_inventario.php?"+param, function(data,st){
		if(st=="success"){
			if(data=="1"){
                almacen()
            }
		}else{
			alert(data)
		}
	})
}

function fotoPage(){
	if(id_producto==""){
		alert("El producto debe estar registrado previamente para cambiar la foto");
		return;
	}


window.open('foto.php?id='+id_producto,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');



}

  function almacen(){
    if(id_producto==""){
     var relacion = $("#relacion").val();
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
    var codigo2 = $("#codigo2").val();
     var precio = $("#precio").val();
	 var precio2 = $("#precio2").val();
	 var precio3 = $("#precio3").val();
	var precio4 = $("#precio4").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
	 var stock2 = $("#stock2").val();
	 if(stock==""){stock=0;}
     var tipo_impuestos = $("#tipo_impuestos").val();
     var valor_impuestos = $("#valor_impuestos").val();
     var tipo_producto = $("#tipo_producto").val();

     var proveedor = $("#proveedor").val();
     var variedad = $("#variedad").val();
     if(precio2=="" || precio2==0){precio2=precio;}

    var sql="";

            sql="INSERT INTO inventario set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";
			sql+=", precio2='"+precio2+"'";
			sql+=", precio3='"+precio3+"'";
			sql+=", precio4='"+precio4+"'";
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", tipo='"+tipo_producto+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'";
			sql+=", almacen='"+myAlmacen+"'";
            //sql+=", proveedor='"+proveedor+"'";
            //sql+=", variedad='"+variedad+"'";
            sql+=", cantidad='"+stock+"'";
			sql+=", pxp='"+stock2+"'";
			sql+=", relacion_detalle='"+relacion+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){

        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)





      }else{
          alert(data);

      }

    })
	}else{
		noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
         window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)


	}
}



 function borrar(){

     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
     var codigo = $("#codigo").val();

    var sql="";
    sql="delete from productos where id_producto='"+id_producto+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
		borrar_inventario(codigo);
        ////setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}

 function borrar_inventario(codigo){


    var sql="";
    sql="delete from inventario where codigo='"+codigo+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Inventario actualizado","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";

        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}



$(".form-control").change(function(){
  impuestos()
})

function impuestos(){
  var precio = $("#precio").val();
  var tipo_impuestos = $("#tipo_impuestos").val();

  var it = parseFloat(precio)/parseFloat("1."+tipo_impuestos);
  var valor  = parseFloat(precio) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo_impuestos==""){valor=0}

  $("#valor_impuestos").val(valor.toFixed(3))
}



 ver_vencidos();
 function ver_vencidos(){
   var fecha_a = "<?php echo $fecha_a?>";
   var str="";


            var sql="select * from vencimiento where fecha<='"+fecha_a+"' and estatus!='Revisado'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){

                var rs = JSON.parse(data);

                for( var i in rs.data){
                    str+= rs.data[i].descripcion+"<br><span class='text-info'>Suplidor: "+rs.data[i].suplidor+"</span><br>Fecha vence("+rs.data[i].fecha+")<br> Cantidad:"+rs.data[i].cantidad+"<br>-------------------<br>";

                  }

				 $("#modalVencidos").modal('show');
				 $("#vencidos").html(str);

            })
        }

$("#txt_buscar").focus()

$("#txt_buscar").select()
$("#txt_buscar").on("keypress", function(){
  uniKeyCode(event);
})

////window.addEventListener("keydown",tecla,false);


 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}

	  }

}


function getVariedad(n){
    $.get("combo_categorias.php", function(data, st){
        if(st=="success"){
            $("#divCategoria").html(data);
            $("#variedad option[value='"+n+"']").prop('selected', true);

        }
    })

}

check_from()
function check_from(){
	var from_pos = "<?php echo $_GET['from_pos']?>";
	if(from_pos==1){
		modalProducto();
		hide_tipo('Fisico')
	}
}

 function barcode(){
    var param = "codigo="+$("#codigo").val()
     param += "&descripcion="+$("#nombre").val()
    param += "&precio="+$("#precio").val()

    window.open('../inventario/codigos.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');

  }
        </script>
